| Home | Libraries | People | FAQ | More

###### object::operator= (3 of 3 overloads)

Assignment.

###### Synopsis

    object&
    operator=(
        std::initializer_list< std::pair< string_view, value_ref > > init);

###### Description

Replaces the contents with the contents of an initializer list.

###### Complexity

Linear in `size()` plus average case linear in `init.size()`, worst case quadratic in `init.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`init` | The initializer list to copy.